winstd::event_rec Class Reference
Event Tracing for Windows API

EVENT_RECORD wrapper. More...

`#include <WinStd/ETW.h>`

Inheritance diagram for winstd::event_rec:

## Public Member Functions

| event_rec ()
| Constructs a blank event record.
| event_rec (const event_rec &other)
| Copies an existing event record. More...
| event_rec (const EVENT_RECORD &other)
| Copies an existing event record. More...
| event_rec (event_rec &&other) noexcept
| Moves the event record. More...
| ~event_rec ()
| Destroys event record data and frees the allocated memory.
event_rec & | operator= (const event_rec &other)
| Copies an existing event record. More...
event_rec & | operator= (const EVENT_RECORD &other)
| Copies an existing event record. More...
event_rec & | operator= (event_rec &&other) noexcept
| Moves the event record. More...
void | set_extended_data (USHORT count, const EVENT_HEADER_EXTENDED_DATA_ITEM *data)
| Sets event record extended data. More...
void | set_user_data (USHORT size, LPCVOID data)
| Sets event record user data. More...

## Protected Member Functions

void | set_extended_data_internal (USHORT count, const EVENT_HEADER_EXTENDED_DATA_ITEM *data)
| Sets event record extended data. More...
void | set_user_data_internal (USHORT size, LPCVOID data)
| Sets event record user data. More...

## Detailed Description

EVENT_RECORD wrapper.

## Constructor & Destructor Documentation

## event_rec() [1/3]

winstd::event_rec::event_rec | ( | const event_rec & | other | ) |

inline

Copies an existing event record.

Parameters

  [in] | other | Event record to copy from

## event_rec() [2/3]

winstd::event_rec::event_rec | ( | const EVENT_RECORD & | other | ) |

inline

Copies an existing event record.

Parameters

  [in] | other | Event record to copy from

## event_rec() [3/3]

winstd::event_rec::event_rec | ( | event_rec && | other | ) |

inlinenoexcept

Moves the event record.

Parameters

  [in] | other | Event record to move

## Member Function Documentation

## operator=() [1/3]

event_rec & winstd::event_rec::operator= | ( | const event_rec & | other | ) |

inline

Copies an existing event record.

Parameters

  [in] | other | Event record to copy from

## operator=() [2/3]

event_rec & winstd::event_rec::operator= | ( | const EVENT_RECORD & | other | ) |

inline

Copies an existing event record.

Parameters

  [in] | other | Event record to copy from

## operator=() [3/3]

event_rec & winstd::event_rec::operator= | ( | event_rec && | other | ) |

inlinenoexcept

Moves the event record.

Parameters

  [in] | other | Event record to move

## set_extended_data()

void winstd::event_rec::set_extended_data | ( | USHORT | count,
|  | const EVENT_HEADER_EXTENDED_DATA_ITEM * | data
| ) |  |

inline

Sets event record extended data.

Parameters

  [in] | count | `data` size (in number of elements)
  [in] | data | Record extended data

## set_extended_data_internal()

void winstd::event_rec::set_extended_data_internal | ( | USHORT | count,
|  | const EVENT_HEADER_EXTENDED_DATA_ITEM * | data
| ) |  |

inlineprotected

Sets event record extended data.

Parameters

  [in] | count | `data` size (in number of elements)
  [in] | data | Record extended data

## set_user_data()

void winstd::event_rec::set_user_data | ( | USHORT | size,
|  | LPCVOID | data
| ) |  |

inline

Sets event record user data.

Parameters

  [in] | size | `data` size (in bytes)
  [in] | data | Record user data

## set_user_data_internal()

void winstd::event_rec::set_user_data_internal | ( | USHORT | size,
|  | LPCVOID | data
| ) |  |

inlineprotected

Sets event record user data.

Parameters

  [in] | size | `data` size (in bytes)
  [in] | data | Record user data

The documentation for this class was generated from the following file:

- include/WinStd/ETW.h